cairo (1.16.0-4+deb10u1) buster; urgency=medium

  * CVE-2020-35492 (Closes: #CVE-2020-35492)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 22 Jan 2021 00:02:52 +0100

cairo (1.16.0-4) unstable; urgency=medium

  * Team upload
  * d/p/ft-Use-FT_Done_MM_Var-instead-of-free-when-available-in-c.patch:
    Apply patch to fix memory corruption with packages that set their
    own memory allocator, such as WebKitGTK+.
    (Closes: #915801, CVE-2018-19876)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Mar 2019 07:57:56 +0000

cairo (1.16.0-3) unstable; urgency=medium

  * debian/patches/git-pdf-add-missing-flush.patch:
    - backport patch to fix corrupted pdf exports/prints

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Feb 2019 15:07:18 +0100

cairo (1.16.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:02:09 -0500

cairo (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: watch for stable releases
  * Drop 0005-Fix-assertion-failure-in-the-freetype-backend.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Oct 2018 09:36:36 -0400

cairo (1.15.12-1) unstable; urgency=medium

  * New upstream snapshot release
  * debian/libcairo2.symbols: Add new symbols
  * Drop 0005-Revert-fix-warning-variable-X.patch: Applied in new release
  * Cherry-pick 0005-Fix-assertion-failure-in-the-freetype-backend.patch
  * Bump Standards-Version to 4.1.4
  * Build with all hardening flags
  * Minor update to debian/watch
  * Update debian/gbp.conf

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Aug 2018 20:05:13 -0400

cairo (1.15.10-3) unstable; urgency=medium

  * Disable the test suite (enabled in 1.15.10-2). The test results were
    ignored anyway, and the test suite is quite broken at the moment so
    we won't be able to make the results fatal anytime soon. Furthermore,
    there's only one mega-test that runs all the smaller tests, and this
    causes automake to emit no output until the one test is done, making
    the build fail on builders with no FPU due to inactivity.
    Closes: #891547.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Apr 2018 18:07:55 +0200

cairo (1.15.10-2) unstable; urgency=medium

  * Cherry-pick 0005-Revert-fix-warning-variable-X.patch:
    Fix libcairo-perl autopkgtest regression. Thanks Niko Tyni
    for identifying the fix. (Closes: #889471)
  * Mark libcairo2-dev as Multi-Arch: same (Closes: #689122) and
    libcairo2-doc as Multi-Arch: foreign (Closes: #884167)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Feb 2018 08:01:14 -0500

cairo (1.15.10-1) unstable; urgency=medium

  * New upstream snapshot release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libcairo2.symbols: Add new symbols
  * Drop 07_CVE-2016-9082.patch: Applied in new release
  * Refresh patches

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 14:39:52 -0500

cairo (1.15.8-3) unstable; urgency=medium

  * Update Vcs fields and gbp.conf for Debian GNOME team conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 13:39:22 -0500

cairo (1.15.8-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Oct 2017 15:08:05 +0200

cairo (1.15.8-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot release (LP: #1598589)
    - debian/libcairo2.symbols: Add newly exported symbols
  * Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Oct 2017 18:21:16 +0200

cairo (1.14.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.10

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Jul 2017 12:02:13 +0200

cairo (1.14.8-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Salvatore.
  * New upstream release.
  * Switch URLs to https.
  * Switch to -dbgsym packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Dec 2016 00:13:33 +0100

cairo (1.14.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-9082: DoS attack based on using SVG to generate invalid pointers
    from a _cairo_image_surface in write_png.  (Closes: #842289)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Oct 2016 13:25:37 +0100

cairo (1.14.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Jan 2016 22:36:29 +0100

cairo (1.14.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/06_hurd-map-noreserve.patch.
  * Drop obsolete debian/libcairo2.install.opt file, we no longer support
    building an optimized flavor.
  * Drop obsolete XS-Testsuite field. This is no longer necessary with recent
    versions of dpkg.
  * Use https:// for Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Oct 2015 09:15:44 +0100

cairo (1.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 May 2015 01:51:07 +0200

cairo (1.14.2-1) experimental; urgency=medium

  * Update gbp.conf for experimental
  * New upstream version 1.14.2
    - pdf-operators: Only wrap text strings for PS output: should fix
      formatting of some PDFs (LP: #657094)
  * Drop patches applied upstream in this release
    - 0005-CFF-Fix-unaligned-access.patch
    - 0008-tor-scan-converter-can-t-do_fullrow-when-intersectio.patch

 -- Iain Lane <laney@debian.org>  Wed, 08 Apr 2015 12:28:35 +0100

cairo (1.14.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches - picked two post-release patches resolving Debian-reported
    issues:
    - 0005-CFF-Fix-unaligned-access.patch
      fixes unaligned access reported on sparc (Closes: #712836)
    - 0008-tor-scan-converter-can-t-do_fullrow-when-intersectio.patch
      resolves segfault while rendering some graphs (Closes: #766479)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 24 Oct 2014 15:36:28 -0400

cairo (1.14.0-2) unstable; urgency=medium

  * Modernise debian/rules using minimised dh.
  * Use list-missing to show uninstalled files.
  * Don't install libtool .la files.
  * Add --as-needed to dh-autoreconf.
  * Use canonical URLs for Vcs-* fields.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Install cairo-analyse-trace binary into cairo-perf-utils package.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Oct 2014 16:37:08 +0200

cairo (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf for git-buildpackage and configure it to use
    pristine-tar.
  * Update patches:
    - Remove patches which have been merged upstream or no longer apply.
    - Refresh remaining patches.
  * Bump Standards-Version to 3.9.6.
  * Drop initial article from description synopsis.
  * Update symbols file and use the upstream version for the symbols
    introduced in 1.12.16-3. Update shlibs version info accordingly for
    libcairo2.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Oct 2014 23:12:24 +0200

cairo (1.12.16-5) unstable; urgency=medium

  * debian/control:
    + webkitgtk was also using the GL/EGL support, so add the necessary
      breaks.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 06 Sep 2014 14:26:26 +0200

cairo (1.12.16-4) unstable; urgency=medium

  * Disable experimental GL/EGL support. It doesn't bring much and
    causes problems in platforms where the GL and the EGL/GLES stacks
    are from different vendors, which is the case in some embedded
    platforms, particularly in the ARM world.
    Break weston versions that use the gl/egl symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 00:17:38 +0200

cairo (1.12.16-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream for device scale (HiDPI) support
    - image-Use-convolution-filters-for-sample-reconstruct.patch
    - gstate-Respect-device-transform-in-stroke.patch
    - default-context-Inherit-device-scale-in-push_group-s.patch
    - subsurface-Handle-device-scales.patch
    - gstate-Move-device-scale-font-scaling-to-gstate.patch
    - gstate-Handle-device-scale-on-surface-as-source.patch
    - spans-traps-Undo-device-transform-from-source-matrix.patch
    - surface-expose-the-device-scale.patch
    - surface-Opencode-create_similar.patch
    - surface-Merge-scratch-construction-into-_cairo_surfa.patch
    - surface-Inherit-device-scale-in-cairo_surface_create.patch
    - trace-Record-set-device-scale.patch
    - script-Add-support-for-replaying-device-scale.patch
    - Downscaling-requires-pixman-0.30.patch
  * Update debian/libcairo2.symbols with added cairo_surface_get_device_scale
  * Bump pixman build-dependency to >= 0.30.0

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Aug 2014 10:17:07 -0700

cairo (1.12.16-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Misc fixes:
    + Update libcairo2-udeb's description (one line is sufficient).
    + Use the official field for udebs: Package-Type.

  [ Michael Biebl ]
  * Add myself to uploaders.
  * The libcairo2-udeb package already ships the libcairo-gobject2 library, so
    instead of splitting libcairo-gobject2 into its separate udeb, just fix
    the shlibs information for libcairo-gobject2 to point to libcairo2-udeb.
    Closes: #648533

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Sep 2013 16:37:22 +0200

cairo (1.12.16-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix symbol versions for the gl/egl symbols. Closes: #714845
  * Add new symbols.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Sep 2013 02:55:29 +0200

cairo (1.12.14-5) unstable; urgency=low

  * Add gl/egl support back now that wayland has been multi-archified.
    Closes: #712022.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jun 2013 19:33:43 +0200

cairo (1.12.14-4) unstable; urgency=low

  * debian/control:
    + Make libcairo2-dev depend on libxext-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 08 May 2013 15:26:06 +0200

cairo (1.12.14-3) unstable; urgency=low

  * Team upload.
  * Disable EGL/GL support for now until libwayland has support for
    multi-arch.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 May 2013 11:43:53 +0200

cairo (1.12.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 May 2013 08:32:44 +0200

cairo (1.12.14-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 11 Feb 2013 23:47:53 +0100

cairo (1.12.12-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Track .xz tarballs.
  * Bump Standards-Version to 3.9.4.
  * Bump debhelper compatility level to 9.
  * Use --as-needed feature of dh-autoreconf.
  * Refresh 01_build_perf_utils.patch.
  * Remove obsolete Breaks.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Feb 2013 22:41:55 +0100

cairo (1.12.10-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/control:
      - Build-depend on liblzo2-dev.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jan 2013 11:02:22 +0100

cairo (1.12.6-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Martin Pitt ]
  * Add debian/tests: Simple compile/link/run autopkgtest. Thanks Rafał
    Cieślak! (LP: #1073374)

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Nov 2012 15:29:05 +0100

cairo (1.12.4-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/control:
      - Build-depend on libxext-dev.
  * debian/control:
    + Build-depend on libpng-dev instead of libpng12-dev (Closes: #662279, #642264, #673642).
  * debian/control,
    debian/rules,
    debian/libcairo2.symbols:
    + Re-enable OpenGL/EGL backend (Closes: #684302).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 10:05:46 +0200

cairo (1.12.2-2) unstable; urgency=low

  * debian/libcairo2-udeb.install:
    + Add the GObject library to the udeb. Needed by GTK+3 nowadays.
      Thanks to Michael Biebl for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 May 2012 13:22:36 +0200

cairo (1.12.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/07_traps-Clip-the-trapezoid-extents-against-the-clip-ex.patch,
      debian/patches/08_xlib-Allow-applications-to-create-0x0-surfaces.patch:
      - Dropped, merged upstream.
    + Refresh patches to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Apr 2012 14:30:31 +0200

cairo (1.12.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * 07_traps-Clip-the-trapezoid-extents-against-the-clip-ex.patch:
    patch from upstream git fixing crashes in evince (closes: #668619)
  * 08_xlib-Allow-applications-to-create-0x0-surfaces.patch: patch from
    upstream git fixing libreoffice impress slideshow mode (closes: #668172)
  * Exclude cairo-perf-utils from libcairo2-dbg (closes: #669990)
  * Properly remove all stamp files in debian/rules clean.
  * Drop dh_testroot from debian/rules clean.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Apr 2012 21:57:15 +0200

cairo (1.12.0-2) unstable; urgency=low

  * debian/rules:
    + Enable hardened build flags (Closes: #655128).
  * Upload to unstable.
  * debian/patches/06_hurd-map-noreserve.patch:
    + Hurd has no MAP_NORESERVE so don't use it there.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Mar 2012 09:49:05 +0200

cairo (1.12.0-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Update XCB and pixman (build-) dependencies.
    + debian/patches/04-LD_PRELOAD-is-supported-on-Hurd.patch:
      - Dropped, merged upstream.
    + debian/libcairo2.symbols:
      - Update symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Mar 2012 10:46:09 +0200

cairo (1.10.2-7) unstable; urgency=low

  * debian/cairo-perf-utils.install.in,
    debian/clean,
    debian/libcairo-gobject2.install.in,
    debian/libcairo-script-interpreter2.install.in,
    debian/libcairo2-dev.install.in,
    debian/libcairo2.install.in,
    debian/control,
    debian/rules:
    + Update package for multi-arch. Thanks to Steve Langasek and
      Gregory Hainaut for the patches (Closes: #631873).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 06 Mar 2012 08:32:57 +0100

cairo (1.10.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Refresh the ltmain-as-needed patch (closes: #648141). Thanks to Nobuhiro
    Iwamatsu for the bug report and the initial patch.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 13 Dec 2011 19:06:10 +0100

cairo (1.10.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable -flto support as it currently doesn't work with -Wl,--as-needed.
    Closes: #625159.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jul 2011 19:00:54 +0200

cairo (1.10.2-6) unstable; urgency=low

  * debian/patches/03_export-symbols.patch:
    + Only export ^cairo_* symbols for libcairo-gobject and
      libcairo-script-interpreter (in addition to libcairo).
      Fixes a FTBFS in the architectures that are still using
      gcc-4.4, as one symbol isn't being exported there (since
      that gcc doesn't support -flto).
  * debian/libcairo-gobject2.symbols
    debian/libcairo-script-interpreter2.symbols
    + Remove the __gnu_lto_v1 symbol accordingly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 10:11:21 +0000

cairo (1.10.2-5) unstable; urgency=low

  * debian/control,
    debian/libcairo2.symbols,
    debian/rules:
    + Temporarily disable the OpenGL/EGL backend, since that makes us
      block on mesa / libdrm / linux-2.6 to migrate to testing, and
      we're blocking the gobject-introspection transition, and we don't
      want to tie them. It will be re-enabled soon after we migrate.
      There shouldn't be anything depending on these symbols yet, so this
      should be safe.
  * debian/libcairo-gobject2.symbols,
    debian/libcairo-script-interpreter2.symbols:
    + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 25 Mar 2011 22:10:28 +0000

cairo (1.10.2-4) unstable; urgency=low

  * Brown paper bug release.
  * Apply 04-LD_PRELOAD-is-supported-on-Hurd.patch to the git tree,
    otherwise dpkg-source will create a debian-changes-* patch reverting
    it, for some reason that I ignore.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Mar 2011 18:37:59 +0000

cairo (1.10.2-3) unstable; urgency=low

  * debian/patches/04-LD_PRELOAD-is-supported-on-Hurd.patch:
    + Patch from upstream git, let configure know that GNU/Hurd
      supports LD_PRELOAD. This enables the build of cairo-trace.
      Closes: #608492.
  * debian/control:
    + Don't build depend on egl packages on GNU/Hurd for now.
    + Add myself to Uploaders.
  * debian/libcairo2.symbols:
    + Mark a couple of egl-related symbols as not available on Hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Mar 2011 10:49:23 +0000

cairo (1.10.2-2) unstable; urgency=low

  * debian/control:
    + Let libcairo2-dev depend on libcairo-script-interpreter2 to
      prevent dangling symlinks.
  * Upload to unstable.
  * debian/rules:
    + Enable tee surface (Closes: #609978).
  * debian/control,
    debian/rules:
    + Enable the OpenGL/EGL backend (Closes: #611692).
  * debian/libcairo2.symbols,
    debian/rules:
    + Update shlibs and symbols files.
  * debian/patches/03_export-symbols.patch:
    + Only export public cairo symbols.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 09:54:30 +0100

cairo (1.10.2-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_build_perf_utils.patch,
      debian/patches/02_am-maintainer-mode.patch:
      - Refresh patches.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 28 Dec 2010 14:45:49 +0100

cairo (1.10.0-1) experimental; urgency=low

  [ Alexandros Frantzis ]
  * debian/control:
    + Add libcairo-script-interpreter2 package.
    + Add cairo-perf-utils package (Closes: #587771).
  * debian/libcairo-script-interpreter2.install,
    debian/cairo-perf-utils.install:
    + Add installation file list for new binary packages.
  * debian/libcairo-script-interpreter2.symbols:
    + Add new symbols for libcairo-script-interpreter.so library.
  * debian/libcairo2-dev.install:
    + Install the libcairo-script-interpreter.so symbolic link.
  * debian/rules:
    + Enable building of cairo-perf-* utilities.
    + Run dh_makeshlibs for the libcairo-script-interpreter2 package.
  * debian/patches/01_build_perf_utils.patch,
    debian/patches/99_autoreconf.patch:
    + Build cairo-perf-* utils as part of the normal build process.

  [ Sebastian Dröge ]
  * New upstream stable release (Closes: #595897):
    + debian/libcairo2.symbols,
      debian/libcairo-script-interpreter2.symbols,
      debian/rules:
      - Update symbols and shlibs to the stable version.
    + debian/control:
      - Update pixman build dependency to >= 0.18.4.
    + debian/patches/01_build_perf_utils.patch:
      - Refreshed.
    + debian/control,
      debian/libcairo-gobject2.symbols,
      debian/libcairo-gobject2.install:
      - Add GObject library.
    + debian/patches/02_am-maintainer-mode.patch:
      - Add AM_MAINTAINER_MODE again to configure.ac to
        prevent build problems.
    + debian/control,
      debian/rules:
      - Use dh-autoreconf instead of an autoreconf patch. cairo's
        build system doesn't like patches...

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Sep 2010 10:09:10 +0200

cairo (1.9.14-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_no-private-symbol-export.patch:
      - Dropped, shouldn't be necessary since ages.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Jul 2010 15:07:28 +0200

cairo (1.9.12-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Drop --disable-shave, cairo uses automake 1.11
        silent rules now.
    + debian/patches/03_no-cxx.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, first patch merged upstream and the
        other two are not necessary anymore.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Jul 2010 15:05:20 +0200

cairo (1.9.10-1) experimental; urgency=low

  * New upstream development release:
    + Use subpixel rendering settings for fonts (Closes: #555722).
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/patches/01_no-private-symbol-export.patch,
      debian/patches/03_no-cxx.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Jun 2010 16:13:32 +0200

cairo (1.9.8-1) experimental; urgency=low

  * New upstream development release:
    + Fixes crash in evince when displaying a file (Closes: #578072).
    + debian/control:
      - Update pixman and xcb (build-) dependencies.
    + debian/patches/02_xcb-without-dri2.patch,
      debian/patches/04_bo-rectangular-edge-traversal-invalid-read.patch,
      debian/patches/06_bo-rectangular-skipping.patch:
      - Dropped, merged upstream.
    + debian/patches/03_no-cxx.patch,
      debian/patches/99_autoreconf.patch:
      - Refreshed for the new version.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.
  * debian/copyright:
    + Fix typo (Closes: #573530).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Jun 2010 10:04:57 +0200

cairo (1.9.6-6) experimental; urgency=low

  * debian/patches/04_bo-rectangular-edge-traversal-invalid-read.patch,
    debian/patches/06_bo-rectangular-skipping.patch:
    + Patch from upstream GIT to fix invalid read during edge traversal
      and incorrect skipping of edges. Fixes crash in WebKit.
  * debian/patches/05_am-maintainer-mode.patch,
    debian/patches/99_autoreconf.patch:
    + Add support for disabling automake maintainer mode, which causes
      warnings messages and possible errors during build.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Mar 2010 06:49:30 +0100

cairo (1.9.6-5) experimental; urgency=low

  * debian/rules:
    + Add --disable-silent-rules --disable-shave to configure flags.
  * debian/control,
    debian/rules,
    debian/libcairo-directfb2*:
    + Drop DirectFB backend completely now, it's marked experimental
      upstream and was only enabled for the debian-installer, which now
      uses X11 anyway.
  * debian/control:
    + Drop obsolete Replaces and Conflicts which were for versions many
      releases ago.
    + Add ${misc:Depends} and ${shlibs:Depends} wherever necessary.
  * debian/rules:
    + Use dh_prep instead of dh_clean -k.
  * debian/patches/03_no-cxx.patch:
    + Patch by Julien Cristau to drop the unecessary dependency on
      libstdc++ caused by an automake stupidity.
  * debian/patches/99_autoreconf.patch:
    + Regenerated automake/autoconf files for the above change.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Link with -Wl,-z,defs -Wl,-O1 -Wl,--as-needed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Mar 2010 14:28:17 +0100

cairo (1.9.6-4) experimental; urgency=low

  [ Cyril Brulebois ]
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer:
     - Ship libcairo2-udeb instead of libcairo-directfb2-udeb.
     - Update package description accordingly.
     - Rename udeb’s .install file accordingly.
     - Adapt package name for various dh_* calls accordingly.
     - Switch --enable-directfb and --enable-xlib in *configure_flags
       variables, and get rid of --program-suffix=-directfb, no longer
       needed.
  * Version/Bump some B-D to make sure the udeb gets its dependencies on
    the (recently-added) udebs rather than on the libraries:
     - libx11-dev
     - libxrender-dev
  * Thanks to Julien Cristau for his initial patch.

  [ Sebastian Dröge ]
  * Upload to experimental (Closes: #573394).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Mar 2010 20:07:04 +0100

cairo (1.9.6-3) experimental; urgency=low

  * debian/control:
    + Depend on libxcb-shm0-dev as required by the pkg-config
      file (Closes: #572119).
    + Update dependency versions as requested by the pkg-config files.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Mar 2010 18:55:01 +0100

cairo (1.9.6-2) experimental; urgency=low

  * debian/control:
    + Add Breaks for xulrunner and iceape until they're fixed
      (Closes: #571192, #561859, #551570, #551852, #555412, #562698).
  * debian/control:
    + Fix sections (Closes: #486174, #515919).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 13:24:15 +0100

cairo (1.9.6-1) experimental; urgency=low

  * New upstream development release:
    + debian/control:
      - Update build dependencies.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.
  * debian/patches,
    debian/source/format,
    debian/rules,
    debian/control,
    debian/compat:
    + Update to source format 3.0 (quilt).
    + Update to debhelper compat level 7.
    + Update Standards-Version to 3.8.4.
  * debian/rules:
    + Don't update config.guess/config.sub, upstream doesn't use them.
    + Don't delete cairo-features.h in clean.
    + Don't touch configure.in and friends.
  * debian/patches/02_xcb-without-dri2.patch:
    + Fix compilation without DRI2.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Feb 2010 14:33:09 +0100

cairo (1.9.4-1) experimental; urgency=low

  * New upstream development release.
    + debian/control:
      - Update build dependencies.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Oct 2009 08:46:43 +0200

cairo (1.9.2-1) experimental; urgency=low

  * New upstream development release.
    + debian/control:
      - Update build dependencies.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Sep 2009 17:23:45 +0200

cairo (1.8.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jun 2009 08:59:17 +0200

cairo (1.8.8-1) experimental; urgency=low

  [ Loïc Minier ]
  * Use "udeb" consistently to describe this flavor
  * Rename CFLAGS to CFLAGS_MAIN for consistency
  * Rename %-flavor-stamp targets to %-stamp-flavor
  * Also strip dependency_libs in DEB_DIST_DIR
  * Always lowercase the flavor name in vars
  * Drop unused configure-main and udeb targets
  * Drop dangerous configure target listed in .PHONY
  * Drop build-main and build-udeb targets
  * Make the build and configure rules implicit ones
  * Define builddir using the current_flavor
  * Split flavors installation into a install-% target
  * Move debian/build-* and /dist-* to nicer places
  * Misc cleanups
  * Factor configure flags
  * Fix --host and --build handling
  * Remove useless cleanups
  * Factor "touch" calls
  * Save and restore config.guess and .sub
  * Drop INSTALL_PROGRAM, not needed with dh_strip
  * Factor CFLAGS; add -Wall
  * Implement an optional optimized flavor

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * Update Standards-Version to 3.8.2.
  * Update sections of binary packages

 -- Sebastian Dröge <slomo@debian.org>  Wed, 17 Jun 2009 16:47:55 +0200

cairo (1.8.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Feb 2009 09:56:44 +0100

cairo (1.8.6-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 16 Dec 2008 14:55:53 +0100

cairo (1.8.4-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Nov 2008 08:46:56 +0100

cairo (1.8.2-2) experimental; urgency=low

  * ACK NMU and merge all changes, thanks Joss.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Nov 2008 12:59:03 +0100

cairo (1.6.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the rpath stuff in /usr/lib/libcairo-directdb and only keep
    it around for compatibility. Closes: #499662.
    + Remove the rpath hack in the .pc file.
    + Make the libcairo-directfb2{,dev} packages dummy, only keeping
      symbolic links from the former locations.
    + libcairo-directfb2-dev.postinst: do the symbolic link dance upon
      upgrade.
    + Update package descriptions accordingly.
    + libcairo2.symbols: add cairo_directfb_surface_create.
    + libcairo2-dev conflicts with libcairo-directfb2-dev
      (<< 1.6.4-6.1).
  * rules: completely cleanup the .la files from their dependency libs.
    Closes: #491292.
  * Add ~ to symbol versions to make backports possible.
  * Fix doc-base section.
  * Standards version is 3.8.0.

 -- Josselin Mouette <joss@debian.org>  Mon, 13 Oct 2008 11:00:24 +0200

cairo (1.8.2-1) experimental; urgency=low

  * New upstream stable release:
    + debian/control:
      - Update (Build-)Depends.
      - Fix section of libcairo2 from docs to libs.
    + debian/watch:
      - Update location for releases.
    + debian/rules:
      - Patch from Ubuntu package to update config.guess/sub again properly.
      - Update shlibs to 1.8.0 because of new API.
      - Remove src/cairo-features.h as it's generated by configure and breaks
        the build if it's already there.
    + debian/libcairo-directfb2.symbols,
      debian/libcairo2.symbols:
      - Updated symbols.
  * debian/patches/02_no-private-symbol-export.dpatch:
    + Re-added to not export some private symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Nov 2008 12:17:09 +0100

cairo (1.7.4-1) experimental; urgency=low

  * New upstream snapshot release
  * Removed debian/patches/02_no-private-symbol-export.dpatch merged upstream
  * Removed debian/patches/01_directfb-no-accel.dpatch
    Hoping that this GIT commit makes it moot:
    + commit 7fbda72137d8685718a8e8fe1d3af5b1d377521c
      Date: Sun Aug 10 05:05:27 2008 -0700
  * Known packaging errors:
    - not copying new config.sub/config.guess for now

 -- Dave Beckett <dajobe@debian.org>  Thu, 11 Sep 2008 23:03:15 -0700

cairo (1.6.4-7) unstable; urgency=low

  * debian/rules:
    + Remove libtool .la dependency_libs (Closes: #491292)
  * debian/control:
    + Update to standards version 3.8.0
    + Move libcairo2-doc to 'doc' section (Closes: #486174)
  * debian/dpatch/*: Added ##DP descriptions (lintian)
  * debian/libcairo2.symbols: Removed symbols with a debian revision (lintian)
  * debian/libcairo2-doc.doc-base: Use section "Graphics" (lintian)

 -- Dave Beckett <dajobe@debian.org>  Sun, 07 Sep 2008 15:33:00 -0700

cairo (1.6.4-6) unstable; urgency=low

  * debian/control:
    + Let libcairo2-dev depend on libxcb-render-util0-dev (Closes: #486006).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 13 Jun 2008 11:55:50 +0200

cairo (1.6.4-5) unstable; urgency=low

  * debian/rules,
    debian/control,
    debian/libcairo2.symbols:
    + Enable XCB backend now that XCB is in unstable (Closes: #474353).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Jun 2008 07:46:49 +0200

cairo (1.6.4-4) unstable; urgency=low

  * debian/rules:
    + Make sure that the debug package contains debug symbols for the
      libcairo2 package and not for the directfb one (Closes: #484603).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Jun 2008 12:35:35 +0200

cairo (1.6.4-3) unstable; urgency=low

  * debian/patches/02_no-private-symbol-export.dpatch,
    debian/libcairo2.symbols,
    debian/libcairo-directfb2.symbols,
    debian/rules:
    + Don't export private symbols and pass -c4 to
      dh_makeshlibs (Closes: #481260).
  * debian/control:
    + Fix documentation path in the package description (Closes: #464116).
  * debian/rules:
    + Only build the arch-indep packages when build-indep is
      invoked (Closes: #476499).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 May 2008 11:19:21 +0200

cairo (1.6.4-2) unstable; urgency=low

  * debian/patches/01_directfb-no-accel.dpatch:
    + Disable rendering acceleration for the DirectFB backend as it
      causes broken screen repainting with the Debian installer
      and other GTK/DirectFB applications (Closes: #477331).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 May 2008 10:34:26 +0200

cairo (1.6.4-1) unstable; urgency=low

  * New upstream release:
    + Works on remote Sun displays by adding support for
      8 bit pseudocolors (Closes: #348109).
    + Adds support for 32 bit visuals (Closes: #421266).
    + Adds support for 655 xlib format (Closes: #413690).
    + Fixes error when creating pdf charts (Closes: #474136).
    + Fixes assertions in cairo_destroy (Closes: #423951).
    + Fixes display errors with iceweasel 3.0 (Closes: #474395).
    + debian/control:
      - Update build dependencies and dependencies.
      - Add myself as co-maintainer.
      - Fix spelling error.
    + debian/rules:
      - Update shlibs to >= 1.6.0 because of API additions.
    + debian/libcairo2.symbols,
      debian/libcairo-directfb2.symbols:
      - Add symbol files for the libraries.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Apr 2008 20:07:29 +0200

cairo (1.5.8-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed, 30 Jan 2008 08:27:44 -0800

cairo (1.5.6-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed, 16 Jan 2008 19:14:02 -0800

cairo (1.5.4-1) experimental; urgency=low

  * Cairo snapshot packaging (Closes: #452736)
    - NOTE: This is the *unstable* Cairo API and may change at any time before
      the next stable release which will be called something like 1.6.0

 -- Dave Beckett <dajobe@debian.org>  Mon, 24 Dec 2007 15:08:42 -0800

cairo (1.4.12-2) unstable; urgency=low

  * Apply fixes from upstream to fix PDF issues using
    upstream cairo bug 8399 via dependent upstream bugs
    - cairo bug 12284 (Early detection of a zero sized bitmap)
      git commit d62f8861689d8b9a9a837043fb78813f0407abd4
    - cairo bug 9846 (Ignore FT_Load_Glyph errors other than out-of-memory
      Same for FT_Render_Glyph)
      git commit 21ab44f11d3d20eead5d988c7a6cf48eebff08c7
    (Closes: #428466, #435913, #439542, #440811, #442481)
  * Apply fix from upstream
    "PS: Ensure that xyshow operator has a pair of offsets for each glyph"
    git commit 5e8f60531a09f357db38c4b646b1bbd29b97a891 (Closes: #453718)

 -- Dave Beckett <dajobe@debian.org>  Sun, 16 Dec 2007 12:57:00 -0800

cairo (1.4.12-1) unstable; urgency=low

  * New upstream release
    - fixes SIG PIPE crash (Closes: #454768)
  * Acknowledge NMU - Thanks Nico
  * Correct source package name
  * Added debug package libcairo2-dbg (Closes: #422597, #429335, #446637)
  * debian/control:
    - Standards version 3.7.3
    - Add homepage
    - Use ${binary:Version} to replace deprecated ${Source-Version} in Depends
    - libcairo2-doc package is now in Section doc
  * debian/rules: fix cross build support (Closes: #451596)
  * debian/libcairo2-doc.doc-base: fix lintian warning
    doc-base-file-separator-extra-whitespaces
  * Evaluated ubuntu patches to 1.4.10 and applied none:
    - 02-cairo-1.4.8-lcd-filter-2.dpatch - changes Cairo public API
    - 90_from_git_fix_not_available_glyph_handling.dpatch - from upstream
    - 90_from_git_fix_zero_sized_bitmap_handling.dpatch - from upstream
    - 91_malloc-overflow-fixes.dpatch - from upstream

 -- Dave Beckett <dajobe@debian.org>  Tue, 11 Dec 2007 09:33:10 -0800

libcairo (1.4.10-1.2) unstable; urgency=high

   * Fix floating point regressions introduced by the previous NMU.
     Do not blindly call malloc if the size is zero
     (Closes: #454768,#454650,#454413).

 -- Nico Golde <nion@debian.org>  Fri, 07 Dec 2007 20:33:11 +0100

libcairo (1.4.10-1.1) unstable; urgency=high

   * Non-maintainer upload by testing-security team.
   * Fix multiple integer overflows leading to arbitrary code
     execution (CVE-2007-5503; Closes: #453686).

 -- Nico Golde <nion@debian.org>  Mon, 03 Dec 2007 17:20:59 +0100

libcairo (1.4.10-1) unstable; urgency=low

  * New upstream release
    - fixes XError crash seen in openoffice.org (Closes: #430550)
  * Removed patch 001-148-directfb.dpatch merged upstream

 -- Dave Beckett <dajobe@debian.org>  Wed, 27 Jun 2007 18:20:10 -0700

libcairo (1.4.8-1) unstable; urgency=low

  * New upstream release
    - fixes gnome bug http://bugzilla.gnome.org/show_bug.cgi?id=431990
      that caused gnome-about to crash (Closes: #425058)
  * Added patch 001-148-directfb.dpatch to make directfb build with 1.4.8
  * Fix directfb udeb shlibs (Closes: #429672)
    - remove udeb line from libcairo2 package shlibs
    - libcairo-directfb2 package shlibs provide libcairo-directfb2(-udeb)
  * Acknowledge NMU - thanks Don

 -- Dave Beckett <dajobe@debian.org>  Thu, 21 Jun 2007 01:03:51 -0700

libcairo (1.4.6-1.1) unstable; urgency=low

   * NMU
   * Apply patch from Adrian Johnson to fix segfault with PS_surface
     (closes: #422388)

 -- Don Armstrong <don@debian.org>  Mon, 28 May 2007 11:11:45 -0700

libcairo (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Add debian/compat, remove DH_COMPAT from debian/rules

 -- Dave Beckett <dajobe@debian.org>  Tue, 1 May 2007 23:38:00 -0800

libcairo (1.4.4-1) unstable; urgency=low

  * New upstream release
  * Remove different versioned shlibs dependency for one udeb
    to get rid of duplicate dependencies (Closes: #418616)
  * Switch shlibs API version to 1.4.0 since API calls were added
  * PDF fonts fixed upstream (Closes: #406191)

 -- Dave Beckett <dajobe@debian.org>  Fri, 13 Apr 2007 21:46:46 -0700

libcairo (1.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #416024)
  * debian/rules: Pass on CFLAGS (Closes: #399868)

 -- Dave Beckett <dajobe@debian.org>  Tue, 27 Mar 2007 06:55:45 -0700

libcairo (1.2.6-1) experimental; urgency=low

  * New upstream release
  * Removed patch 01-cairo_xlib_surface_add_glyph.patch now in upstream
  * Require pkg-config 0.19

 -- Dave Beckett <dajobe@debian.org>  Fri, 17 Nov 2006 20:42:08 -0800

libcairo (1.2.4-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Urgency medium since RC bugs are acknowledged.
  * Patch 01-cairo_xlib_surface_add_glyph.patch added in
    experimental confirmed fixes powerpc X byte copy crash
    for bug #388116 which was closed by email after an NMU.
  * Enable PDF and PS for the cairo+directfb build in unstable (Closes: #383297)
  * Bump libcairo-directfb2's shlibs to >= 1.2.4-4 for the addition of
    PDF and PS related symbols to the cairo+directfb lib. (Closes: #387289)
  * Remove libcairo.la references to other .la files to aid future
    removal of all .la files.

 -- Dave Beckett <dajobe@debian.org>  Thu, 19 Oct 2006 22:41:56 -0700

libcairo (1.2.4-3.2) experimental; urgency=low

  * NMU
  * Re-upload to get the changes from -2 in experimental, that is
    building cairo+directfb with PS and PDF support (needed by
    Gtk+2.10+directfb).
  * Bump libcairo-directfb shlibs to >= 1.2.4-3.2 so that packages depending
    on the new +directfb things get the right dep.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 18 Oct 2006 11:09:16 +0200

libcairo (1.2.4-3.1) unstable; urgency=low

  * NMU
  * Upload with 01-cairo_xlib_surface_add_glyph.patch but without
    the directfb changes from -2. The patch fixes the segfault caused
    by a broken loop condition (c >= 0 works like, eh, always after
    doing "unsigned int c"...). (Closes: #388116)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 15 Oct 2006 16:25:06 +0200

libcairo (1.2.4-3) experimental; urgency=low

  * Added patch 01-cairo_xlib_surface_add_glyph.patch from upstream git
    attempting to fix 388116

 -- Dave Beckett <dajobe@debian.org>  Sun,  8 Oct 2006 11:08:23 -0700

libcairo (1.2.4-2) experimental; urgency=low

  * Enable PDF and PS for the cairo+directfb build in order to
    allow GTK 2.10+directfb to build (Closes: #383297)

 -- Dave Beckett <dajobe@debian.org>  Sun,  3 Sep 2006 13:24:31 -0700

libcairo (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Remove double call to dh_installdocs (Closes: #382594)
  * Submit to override for libcairo2-doc, changing to section libs.

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Aug 2006 18:11:00 -0700

libcairo (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * This version again handles BGR X server visuals such as used by
    Exceed and VNC  (Closes: #376858)
  * Removed patches taken from upstream git:
    -  cairo-bug-7494.patch
    -  cairo-bug-7514.patch
  * Build-Depend on xutils-dev and libxt-dev since the test for the
    presence of X in the latest configure (as generated by autoconf 2.60)
    uses xmkmf and checks for libxt-dev even though neither are used by
    Cairo.

 -- Dave Beckett <dajobe@debian.org>  Tue,  8 Aug 2006 23:59:01 -0700

libcairo (1.2.0-5) unstable; urgency=medium

  * Rebuild against directfb 0.9.25 which has changed library and udeb
    package names from 0.9.24 that all earlier cairos were built against,
    and which are now removed.  This should prevent Cairo from becoming
    uninstallable due to this change.  Urgency medium due to this.

 -- Dave Beckett <dajobe@debian.org>  Wed,  2 Aug 2006 22:04:17 -0700

libcairo (1.2.0-4) unstable; urgency=medium

  * Added patch cairo-bug-7494.patch (Closes: #378005)
  * Added patch cairo-bug-7514.patch (Closes: #380064)

 -- Dave Beckett <dajobe@debian.org>  Tue,  1 Aug 2006 22:29:04 -0700

libcairo (1.2.0-3) unstable; urgency=low

  * Add libsm-dev to Build-Depends and libcairo2-dev depends to pull in
    libSM and libICE (Closes: #377259)
  * Remove unused libxrender-dev Depends from libcairo-directfb2-dev

 -- Dave Beckett <dajobe@debian.org>  Sun,  9 Jul 2006 16:36:10 -0700

libcairo (1.2.0-2) unstable; urgency=low

  * Remove libcairo2-dev depending on libdirectfb-dev (Closes: 376691)

 -- Dave Beckett <dajobe@debian.org>  Tue,  4 Jul 2006 10:45:33 -0700

libcairo (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Dave Beckett <dajobe@debian.org>  Sat,  1 Jul 2006 19:43:51 -0700

libcairo (1.1.10-3) experimental; urgency=low

  * First upload of 1.1.x series to debian experimental
  * Remove patch 02-no-ft-glyphslot-embolden.patch (was for bug #325526)
    and depend on a new enough libfreetype6 (2.1.10) which is already in
    testing.
  * Removed Build-Depend on libxml2 for creating SVG as that has been
    rewritten.
  * Added libcairo2 Conflicts and Replaces libcairo1 (Closes: #366755)

 -- Dave Beckett <dajobe@debian.org>  Wed, 28 Jun 2006 19:04:10 -0700

libcairo (1.1.10-2) experimental; urgency=low

  * Add -Wl,-rpath,${libdir} to libcairo-directfb pkgconfig to make the
    linker use the libcairo in the libdir
  * Removed Provides: libcairo2 from libcairo-directfb2-udeb

 -- Dave Beckett <dajobe@debian.org>  Sun, 25 Jun 2006 10:20:40 -0700

libcairo (1.1.10-1) experimental; urgency=low

  * New upstream release
  * Renamed directfb packages to be libcairo-directfb2*
  * Use dh_makeshlibs with --add-udeb to make udeb: lines appear in shlibs
  * Depend on debhelper 5.0.22 to get a working dh_makeshlibs with --add-udeb

 -- Dave Beckett <dajobe@debian.org>  Sat, 24 Jun 2006 10:03:02 -0700

libcairo (1.1.8-1) experimental; urgency=low

  * New upstream release
  * Added libcairo2-directfb deb.

 -- Dave Beckett <dajobe@debian.org>  Wed, 14 Jun 2006 11:47:00 -0700

libcairo (1.1.6-1) experimental; urgency=low

  * New upstream release
  * Enable PNG, PDF and SVG backends (add Build-Depend: on libxml2)
  * Added Cairo DirectFB udeb packages libcairo2-directfb-udeb and
    libcairo2-directfb-dev (add Build-Depend: on libdirectfb-dev)
  * libcairo2-dev and libcairo2-directfb-dev can both be installed together
  * Stop using CDBS since it cannot handle the double configure and build
    setup.
  * Use dpatch for patching and Build-Depend: on it.

 -- Dave Beckett <dajobe@debian.org>  Mon, 12 Jun 2006 12:57:38 -0700

libcairo (1.0.4-2) unstable; urgency=low

  * Rebuild against X11R7 to fix .la breakage xorg caused (Closes: #362237)

 -- Dave Beckett <dajobe@debian.org>  Tue, 25 Apr 2006 22:00:36 -0700

libcairo (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Removed patches merged upstream:
    - 01-INT_pixman.patch
  * Debhelper 5

 -- Dave Beckett <dajobe@debian.org>  Wed,  5 Apr 2006 17:44:12 -0700

libcairo (1.0.2-4) unstable; urgency=low

  * Rebuild against current build dependencies since something in the
    build depends changed to make it stop working.  This may be the most
    useless changelog entry ever.  (Closes: #347675)

 -- Dave Beckett <dajobe@debian.org>  Thu, 12 Jan 2006 19:52:08 -0800

libcairo (1.0.2-3) unstable; urgency=low

  * Bump libcairo2 shlibs to 1.0.2-2 given all the freetype version changes.

 -- Dave Beckett <dajobe@debian.org>  Wed, 30 Nov 2005 09:21:02 -0800

libcairo (1.0.2-2) unstable; urgency=low

  * Fix libcairo2-doc section to doc (Closes: #337515)
  * Re-add patch 02-no-ft-glyphslot-embolden.patch to use only
    freetype 2.1.7 symbols even though sid has freetype 2.1.10.
    The latter has ABI changes beyond it's declared shlibs of 2.1.5
    and is undergoing a large transition.
    Require freetype 2.1.7+ again.  (Closes: #338817)
  * Added patch 01-INT_pixman.patch from CVS to remove spurious INT_ items
    that broke build with recent binutils (Closes: #340073)
  * Require pkg-config >= 0.18 since cairo.pc uses Require.private:

 -- Dave Beckett <dajobe@debian.org>  Fri, 25 Nov 2005 04:01:51 +0000

libcairo (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Removed patch 01-endianess-cairo-xlib-surface.patch previously taken
    from upstream CVS.
  * Removed patch 02-no-ft-glyphslot-embolden.patch to re-allow configure
    to use FT_GlyphSlot_Embolden provided in freetype 2.1.10 which is now
    in sid.
  * Require freetype 2.1.10+

 -- Dave Beckett <dajobe@debian.org>  Tue, 25 Oct 2005 18:45:57 +0100

libcairo (1.0.0-3) unstable; urgency=low

  * Added patch 02-no-ft-glyphslot-embolden.patch to disable use of
    FT_GlyphSlot_Embolden in freetype, which was added after the
    freetype version 2.1.7 currently in testing (closes: #325526)
  * Require freetype 2.1.7+

 -- Dave Beckett <dajobe@debian.org>  Tue, 13 Sep 2005 19:33:38 +0100

libcairo (1.0.0-2) unstable; urgency=low

  * Added patch 01-endianess-cairo-xlib-surface.patch from CVS to fix
    endianess problem when running over remote X (Closes: #326920)
  * Register cairo docs with doc-base (Closes: #325541)

 -- Dave Beckett <dajobe@debian.org>  Tue,  6 Sep 2005 18:15:57 +0100

libcairo (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Removed glitz backend as currently experimental and unsupported
  * debian/watch: update to use stable release area
  * Removed patch cairo-0.9.2-cache-eviction-fix.patch merged upstream.

 -- Dave Beckett <dajobe@debian.org>  Wed, 24 Aug 2005 18:14:23 +0100

libcairo (0.9.2-2) unstable; urgency=low

  * Add patch cairo-0.9.2-cache-eviction-fix.patch from Kristian Høgsberg
    to make the freetype font cache evict correctly.

 -- Dave Beckett <dajobe@debian.org>  Mon, 15 Aug 2005 19:48:43 +0100

libcairo (0.9.2-1) unstable; urgency=low

  * New upstream release
  * First stable API release - remove patching sonames
  * libcairo2, libcairo2-dev and libcairo2-doc replace all previous versions
  * No longer Depends: on libpixman, now an internal library

 -- Dave Beckett <dajobe@debian.org>  Sat, 13 Aug 2005 14:16:46 +0100

libcairo (0.9.0-1) unstable; urgency=low

  * New upstream release
  * libcairo0.9.0 replaces libcairo0.6.0
  * Functions were added so create new sonames and libraries

 -- Dave Beckett <dajobe@debian.org>  Tue,  9 Aug 2005 08:21:50 +0100

libcairo (0.6.0-1) unstable; urgency=low

  * New upstream release
  * libcairo0.6.0 replaces libcairo0.5.1
  * Functions were added so create new sonames and libraries
  * Require glitz 0.4.4 API and libpixman 0.1.5

 -- Dave Beckett <dajobe@debian.org>  Fri, 29 Jul 2005 23:31:05 +0100

libcairo (0.5.1-2) unstable; urgency=low

  * Upload to unstable
  * libcairo0.5.1 replaces older libcairo1
  * libcairo0.5.1-dev already conflicted with libcairo1-dev so enable
    shipping libcairo.so and delete patch 05-cairo.pc.in.patch as the
    cairo.pc.in is ok again

 -- Dave Beckett <dajobe@debian.org>  Sun, 10 Jul 2005 22:07:22 +0100

libcairo (0.5.1-1) experimental; urgency=low

  * New upstream release
  * Revert to source package name libcairo
  * Reflect ABI version into both library soname as libcairo-1debian0.5.1
    and package name libcairo0.5.1 (Closes: #314776)
  * libcairo0.5.1 no longer conflicts with libcairo1
  * Added a libcairo0.5.1-doc package with the HTML documentation

 -- Dave Beckett <dajobe@debian.org>  Wed, 22 Jun 2005 21:06:01 +0100

cairo (0.5.0-2) unstable; urgency=low

  * Fix the shlibs dependencies for libcairo0.5

 -- Dave Beckett <dajobe@debian.org>  Thu,  9 Jun 2005 21:56:08 +0100

cairo (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: 311042)
  * Change source package s/lib// and add API version to binary packages
  * Enable glitz backend (Closes: 307573)

 -- Dave Beckett <dajobe@debian.org>  Thu,  9 Jun 2005 20:51:11 +0100

libcairo (0.4.0-1) unstable; urgency=low

  * New upstream release
  * API changes for fonts so shlib version is now 0.4.0
  * Require libpixman 0.1.4

 -- Dave Beckett <dajobe@debian.org>  Wed,  9 Mar 2005 19:39:44 +0000

libcairo (0.3.0-1) unstable; urgency=low

  * New upstream release. Closes: 284205
  * Bumped shlibs version since new functions were added.
  * Headers have moved to below /usr/include/cairo
  * Require libpixman 0.1.3

 -- Dave Beckett <dajobe@debian.org>  Sun,  6 Feb 2005 12:40:04 +0000

libcairo (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Bumped shlibs version since new functions were added.
  * Require libpixman 0.1.2
  * Still keep glitz disabled

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon,  8 Nov 2004 22:19:29 +0000

libcairo (0.1.23-2) unstable; urgency=low

  * Replace Build-Depend on xlibs-dev with libx11-dev
  * Changed to LGPL license (in CVS 2004-08-02)
  * Disable use of glitz explicitly

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 23 Aug 2004 22:25:16 +0100

libcairo (0.1.23-1) unstable; urgency=low

  * New upstream release. Closes: 248705
  * Add PNG backend, require libpng12-dev
  * Requires libpixman >= 0.1.1

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 29 May 2004 21:10:58 +0100

libcairo (0.1.18-1) unstable; urgency=low

  * New upstream release
  * Remove xlib-surface-debian.patch, not needed for XFree86 4.3.0+

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 19 Feb 2004 23:08:25 +0000

libcairo (0.1.17-4) unstable; urgency=low

  * Initial version to debian archive. Closes: #205346

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sun, 15 Feb 2004 21:45:47 +0000

libcairo (0.1.17-3) unstable; urgency=low

  * Setting me as the maintainer temporarily

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Feb 2004 16:49:18 +0100

libcairo (0.1.17-2) unstable; urgency=low

  * Add patch/xlib-surface-debian.patch to restore this to working for X.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 24 Jan 2004 18:02:38 +0000

libcairo (0.1.17-1) unstable; urgency=low

  * New upstream release
  * Replace libpixman/libic dependencies with libpixman

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 16 Dec 2003 17:49:55 +0000

libcairo (0.1.16-1) unstable; urgency=low

  * New upstream release
  * Added libxrender-dev (>=0.6.0) requirement to match configure.in

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon,  8 Dec 2003 20:39:59 +0000

libcairo (0.1.13-1) unstable; urgency=low

  * New upstream release
  * Remove patch for src/config.h - merged upstream.
  * Return libfreetype6 minimum version to 2.1.0.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri, 21 Nov 2003 20:05:38 +0000

libcairo (0.1.12-3) unstable; urgency=low

  * Pull patch from CVS to allow building with newer freetype using the
    new include via defines mechanism now enforced in freetype 2.1.6

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 18 Nov 2003 20:15:08 +0000

libcairo (0.1.12-2) unstable; urgency=low

  * Remove dependency on libxft-dev, replaced with libfreetype6-dev and
    libfontconfig1-dev

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat,  8 Nov 2003 18:44:19 +0000

libcairo (0.1.12-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri,  7 Nov 2003 20:43:33 +0000

libcairo (0.1.11-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue,  4 Nov 2003 15:10:14 +0000

libcairo (0.1.10-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue,  4 Nov 2003 00:23:16 +0000

libcairo (0.1.9-2) unstable; urgency=low

  * Generate packages correctly named after the library major soname:
    libcairo1, libcairo1-dev

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 30 Oct 2003 23:16:43 +0000

libcairo (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * Removed dependency on automake, autoconf, libtool

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 30 Oct 2003 21:37:25 +0000

libcairo (0.1.8-1) unstable; urgency=low

  * Initial package

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Wed, 29 Oct 2003 23:20:26 +0000
